GDB (xrefs)

Public Attributes | List of all members
dwarf2_per_cu_offset_and_type Struct Reference

## Public Attributes
const struct dwarf2_per_cu_data * | per_cu
sect_offset | sect_off
struct type * | type

## Detailed Description

Definition at line 25139 of file dwarf2read.c.

## Member Data Documentation

## ◆ per_cu

const struct dwarf2_per_cu_data* dwarf2_per_cu_offset_and_type::per_cu

Definition at line 25141 of file dwarf2read.c.

Referenced by get_die_type_at_offset(), per_cu_offset_and_type_eq(), per_cu_offset_and_type_hash(), and set_die_type().

## ◆ sect_off

sect_offset dwarf2_per_cu_offset_and_type::sect_off

Definition at line 25142 of file dwarf2read.c.

Referenced by get_die_type_at_offset(), per_cu_offset_and_type_eq(), per_cu_offset_and_type_hash(), and set_die_type().

## ◆ type

struct type* dwarf2_per_cu_offset_and_type::type

Definition at line 25143 of file dwarf2read.c.

Referenced by get_die_type_at_offset(), and set_die_type().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c